// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

#pragma once

#include <stdio.h>
#include <algorithm>
#include <numeric>
#include <iostream>
#include <string>
#include <vector>
#include <array>
#include <memory>
#include <variant>
#include <optional>
#include <unordered_map>
#include <utility>
#include <filesystem>
#include <climits>
#include <cstring>
#include <cmath>

#include <chrono> // needed for cross platform
#include <thread> // sleep function

#ifdef PCO_LINUX
#include <pco_linux_defs.h>
#include <sc2_sdkaddendum.h>
#include <pco_device.h>
#include <pco_camexport.h>
#else
#define NOMINMAX

//Libraries
#pragma comment(lib, "sc2_cam.lib")
#pragma comment(lib, "pco_recorder.lib")
#pragma comment(lib, "pco_conv.lib")

#include <Windows.h>
#include <tchar.h>
#endif

//SDK Includes
#define PCO_SENSOR_CREATE_OBJECT //To get PCO_SENSOR_TYPE_DEF
#include <sc2_defs.h>
#include <sc2_common.h>
#include <pco_err.h>
#include <sc2_sdkstructures.h>
#include <sc2_camexport.h>

//Recorder Includes
#include <pco_recorder_export.h>
#include <pco_recorder_defines.h>

//Convert Includes
#include <pco_color_corr_coeff.h>
#include <pco_convexport.h>
#include <pco_convstructures.h>
